function onBegin ()
    disablePause()
    disableMovement()
    waitUntilOnGround ()
    walkTo(661, false, 0.2)
    walk(2)
    wait(5)
    choiceDialog({
        {
            "kaileythalien_aqquatica_09",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_10",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_11",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_12",
            onChosen = function ()
                setFlag("b", true)
                helpers.closeChoiceDialog ()
            end
        }
    })
    enableMovement()
    enablePause()
end

function onEnd()
    enableMovement()
    enablePause()
end